Description

The description of Control.controlType is:

"Specifies the type of Control, e.g. BreakerOn/Off, GeneratorVoltageSetPoint, TieLineFlow etc. The ControlType.name shall be
unique among all specified types and describe the type."

We cannot have ControlType.name. Also we already say "describe the type" by "specifies the type.""

Proposed Solution
Update the description in CIM18 to reflect the following:

"Specifies the type of Control. For example, this specifies if the Control represents BreakerOpen, BreakerClose,
GeneratorVoltageSetPoint, GeneratorRaise, GeneratorLower, etc."

Decision

Reviewed by WG13 in 19-Aug-2020 weekly call and the described changes were approved.

Release Notes
The description of Control.controlType was:

“Specifies the type of Control, e.g. BreakerOn/Off, GeneratorVoltageSetPoint, TieLineFlow etc. The ControlType.name shall be
unigue among all specified types and describe the type.”

This has now been changed to:

“Specifies the type of Control. For example, this specifies if the Control represents BreakerOpen, BreakerClose,
GeneratorVoltageSetPoint, GeneratorRaise, GeneratorLower, etc.”.

This was performed to align the description with the approach as expressed in Measurement.measurementType as we cannot have
ControlType.name as mentioned in the original.

History

#1 - 10/21/2021 11:34 AM - Todd Viegut

- Subject changed from The description of Control.controlType is:
"Specifies the to Address issues and clarity around the Control.controlType description

- Proposed Solution updated

#2 - 10/21/2021 11:55 AM - Todd Viegut

- Solution to be Applied To changed from 61970cim18 to CIM18
- Solution Version changed from CIM18 to CIM18v00

- Solution Applied By changed from tviegut to Todd Viegut

#3 - 10/22/2021 01:00 PM - Todd Viegut

- Release Notes updated
